Bug 28378

Summary: Elasticsearch - Add 264c to default copydate mappings (MARC21)
Product: Koha Reporter: Caroline Cyr La Rose <caroline.cyr-la-rose>
Component: Searching - ElasticsearchAssignee: Caroline Cyr La Rose <caroline.cyr-la-rose>
Status: RESOLVED FIXED QA Contact:
Severity: enhancement    
Priority: P5 - low CC: david
Version: master   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=24678
Change sponsored?: --- Patch complexity: Small patch
Text to go in the release notes:
This enhancement adds 264$c to the default mapping for the copydate index when using Elasticsearch.
Version(s) released in:
21.11.00
Attachments: Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)
Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)
Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)

Description Caroline Cyr La Rose 2021-05-18 20:02:29 UTC
In the current default index mappings, copydate only includes 260$c. I think it should also include 264$c which is used as much as, if not more than, 260$c.
Comment 1 Caroline Cyr La Rose 2021-05-18 20:07:59 UTC
Created attachment 121126 [details] [review]
Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)

This patch adds 264$c to the default mapping for the copydate index.

To test:
1) Apply patch
2) Reindex using rebuildelasticsearch.pl -r

If you don't have access to a terminal (in a sandbox for example)
2a) Go to Administration > Search engine configuration, click "Reset mappings" 
and confirm
2b) Then reindex

3) Search for a copyright date found in 264$c
Comment 2 David Nind 2021-08-06 11:14:24 UTC
Created attachment 123567 [details] [review]
Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-08-06 11:15:38 UTC
Not sure what I did again when signing off...patch description is not the same as in Bugzilla.
Comment 4 Katrin Fischer 2021-08-10 11:17:43 UTC
Created attachment 123673 [details] [review]
Bug 28378: Elasticsearch - Add 264c to default copydate mappings (MARC21)

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-16 10:04:44 UTC
Pushed to master for 21.11, thanks to everybody involved!